Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.crypto
Interface PRF

All Known Implementing Classes:
  MacBasedPRF

    public interface PRF

Copied from Matthias Gartner's PKCS#5 implementation - see http://rtner.de/software/PBKDF2.html

A free Java implementation of Password Based Key Derivation Function 2 as defined by RFC 2898. Copyright (c) 2007 Matthias Gärtner

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

For Details, see http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.

Version:
  1.0
Author:
  Matthias Gärtner

Method Summary
`byte[]` | `doFinal(byte[] M)` Pseudo Random Function
`int` | `getHLen()` Query block size of underlying algorithm/mechanism.
`void` | `init(byte[] P)` Initialize this instance with the user-supplied password.

Method Detail

### init

    void init(byte[] P)

  Initialize this instance with the user-supplied password.

  Parameters:
    `P` - The password supplied as array of bytes. It is the caller's task to convert String passwords to bytes as appropriate.

### doFinal

    byte[] doFinal(byte[] M)

  Pseudo Random Function

  Parameters:
    `M` - Input data/message etc. Together with any data supplied during initilization.
  Returns:
    Random bytes of hLen length.

### getHLen

    int getHLen()

  Query block size of underlying algorithm/mechanism.

  Returns:
    block size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.